Bug 609342 - rhel3u9 install can't find package after inserting second CD, but install can continue
rhel3u9 install can't find package after inserting second CD, but install can...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
low Severity high
: rc
: 6.1
Assigned To: Amit Shah
Virtualization Bugs
:
Depends On:
Blocks: 580954 645266
  Show dependency treegraph
 
Reported: 2010-06-29 22:41 EDT by Nan Zhang
Modified: 2013-01-09 17:48 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 645266 (view as bug list)
Environment:
Last Closed: 2011-12-06 10:42:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhel3u9 install from cd isos (894.60 KB, image/png)
2010-06-29 22:41 EDT, Nan Zhang
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1531 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2011-12-05 20:23:30 EST

  None (edit)
Description Nan Zhang 2010-06-29 22:41:31 EDT
Created attachment 427846 [details]
rhel3u9 install from cd isos

Description of problem:
Cannot continue to install rhel3u9 guest from cd isos. Actually the file is included in the second cd iso.

Version-Release number of selected component (if applicable):
libvirt-0.8.1-11.el6.x86_64
virt-manager-0.8.4-6.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. Download rhel3u9 isos from http://download.englab.nay.redhat.com/pub/rhel/released/RHEL-3/U9/AS/i386/ftp-isos/
2. Using first iso to boot installation.
3. Insert with CD2 when require CD2 prompted.
  
Actual results:
Cannot find any packages for install.

Expected results:
Install can be continued.

Additional info:
Comment 2 RHEL Product and Program Management 2010-06-29 23:03:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 RHEL Product and Program Management 2010-07-15 10:55:12 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 7 Cole Robinson 2010-12-02 14:38:54 EST
Hmm, I reproduced calling /usr/libexec/qemu-kvm manually with a very basic command line. But once I clicked 'OK' in the dialog in your screen shot, the install seemed to continue as usual.

Neil, is that the case for you as well when reproduced with virt-manager?
Comment 8 Nan Zhang 2010-12-03 04:56:22 EST
Cole,

Yes, I met the same case with you, it can be reproduced on both qemu-kvm command & virt-manager. Maybe it's not virt-manager issue, but why is there a missing package error dialog?
Comment 9 Cole Robinson 2010-12-03 10:36:15 EST
Reassigning to kvm
Comment 10 Dor Laor 2011-02-02 09:16:14 EST
Have you change CDs using the monitor command?
Comment 11 Nan Zhang 2011-02-16 03:36:55 EST
Dor,

Yes, I changed CDs using monitor command, and got the same results with virt-manager.

# /usr/libexec/qemu-kvm -enable-kvm -m 512M -smp 2,sockets=2,cores=1,threads=1 -name file-raw -uuid bb340905-50b0-de70-921b-5c360a945678 -monitor stdio -rtc base=localtime -boot c -drive file=/var/lib/libvirt/images/test.raw,if=none,id=drive-ide0-0-0,format=raw,cache=none,werror=stop,rerror=stop -device ide-drive,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:04:ad:a1,bus=pci.0,addr=0x7 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -usb -device usb-tablet,id=input0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x8 -vga cirrus -vnc :2 -cdrom /var/lib/libvirt/boot/RHEL3-U9-re20070529.0-i386-AS-disc1-ftp.iso
char device redirected to /dev/pts/3
Using CPU model "cpu64-rhel6"
Using CPU model "cpu64-rhel6"
QEMU 0.12.1 monitor - type 'help' for more information
(qemu) info block
drive-ide0-0-0: type=hd removable=0 file=/var/lib/libvirt/images/test.raw ro=0 drv=raw encrypted=0
ide1-cd0: type=cdrom removable=1 locked=1 file=/var/lib/libvirt/boot/RHEL3-U9-re20070529.0-i386-AS-disc1-ftp.iso ro=1 drv=raw encrypted=0
floppy0: type=floppy removable=1 locked=0 [not inserted]
sd0: type=floppy removable=1 locked=0 [not inserted]
(qemu) change ide1-cd0 /var/lib/libvirt/boot/RHEL3-U9-re20070529.0-i386-AS-disc2-ftp.iso
(qemu) info block
drive-ide0-0-0: type=hd removable=0 file=/var/lib/libvirt/images/test.raw ro=0 drv=raw encrypted=0
ide1-cd0: type=cdrom removable=1 locked=1 file=/var/lib/libvirt/boot/RHEL3-U9-re20070529.0-i386-AS-disc2-ftp.iso ro=1 drv=raw encrypted=0
floppy0: type=floppy removable=1 locked=0 [not inserted]
sd0: type=floppy removable=1 locked=0 [not inserted]
(qemu)
Comment 14 Nan Zhang 2011-05-30 22:35:51 EDT
I've retested with the following builds on my side, it works well now. I think this bug has been fixed yet.

qemu-kvm-0.12.1.2-2.162.el6.x86_64
libvirt-0.9.1-1.el6.x86_64
virt-manager-0.8.6-4.el6.noarch
Comment 16 errata-xmlrpc 2011-12-06 10:42:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1531.html

Note You need to log in before you can comment on or make changes to this bug.